---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Update infraction report (outdated)

This endpoint is outdated and no longer works. It is recommended you call [Update funds recovery](https://developers.pismo.io/pismo-docs/reference/patch-funds-recovery).

Update some infraction report fields. Fields not passed are not updated.

To call this endpoint, the infraction report status is **REQUIRED** to be `OPEN` or `ACKNOWLEDGED`.

The endpoint generates a [Pix infraction status changed](https://developers.pismo.io/events/docs/pix-dict-infraction-status-change-1) event.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Infraction reports",
      "description": "Manage Pix transaction infraction reports endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "InfractionReportIDV2path": {
        "name": "id",
        "in": "path",
        "description": "Infraction report ID",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "ContactInformation": {
        "type": "object",
        "required": [
          "phone",
          "email"
        ],
        "properties": {
          "phone": {
            "type": "string",
            "maxLength": 16,
            "description": "Contact phone number",
            "example": "551154874551"
          },
          "email": {
            "type": "string",
            "description": "Contact email",
            "maxLength": 77,
            "example": "polly_ester@email.com"
          }
        }
      },
      "InfractionPatchRequest": {
        "type": "object",
        "properties": {
          "situation_type": {
            "$ref": "#/components/schemas/InfractionReportSituation"
          },
          "details": {
            "$ref": "#/components/schemas/InfractionDetails"
          },
          "contact_information": {
            "$ref": "#/components/schemas/ContactInformation"
          }
        }
      },
      "InfractionDetails": {
        "type": "string",
        "description": "Details that can help the receiving participant to analyze the suspected violation\n",
        "example": "Details about infraction",
        "maxLength": 2000
      },
      "InfractionReportSituation": {
        "type": "string",
        "description": "What gave rise to the infraction notification",
        "example": "SCAM",
        "enum": [
          "SCAM",
          "ACCOUNT_TAKEOVER",
          "COERCION",
          "FRAUDULENT_ACCESS",
          "OTHER",
          "UNKNOWN"
        ]
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      }
    },
    "responses": {
      "202Accepted": {
        "description": "Accepted",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Request accepted and will processed async": {
                "value": {
                  "code": "EPDA0169",
                  "message": "Request was accepted and gonna be processed asynchronously"
                }
              }
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider service error": {
                "value": {
                  "code": "EPDG0013",
                  "message": "Unauthorized access to the provider service"
                }
              }
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "EPDA0009": {
                "summary": "Missing required header 'x-tenant'",
                "value": {
                  "code": "EPDA0009",
                  "message": "Missing required header 'x-tenant'"
                }
              },
              "EPDA0010": {
                "summary": "Missing required header 'x-account-id'",
                "value": {
                  "code": "EPDA0010",
                  "message": "Missing required header 'x-account-id'"
                }
              },
              "EPDA0152": {
                "summary": "Missing required param 'id'",
                "value": {
                  "code": "EPDA0152",
                  "message": "Missing required param 'id'"
                }
              }
            }
          }
        }
      },
      "429TooManyRequests": {
        "description": "Too many requests",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "502BadGateway": {
        "description": "Bad Gateway",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider authentication service error": {
                "value": {
                  "code": "EPDG0020",
                  "message": "Provider authentication service is unable to complete the request"
                }
              }
            }
          }
        }
      },
      "504GatewayTimeout2": {
        "description": "Gateway Timeout",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Service timeout": {
                "value": {
                  "code": "EPDA0000",
                  "message": "Timeout while executing the request"
                }
              },
              "Provider timeout": {
                "value": {
                  "code": "EPDG0000",
                  "message": "Timeout while executing the request"
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/infraction-reports/{id}": {
      "patch": {
        "summary": "Update infraction report (outdated)",
        "description": "This endpoint is outdated and no longer works. It is recommended you call [Update funds recovery](https://developers.pismo.io/pismo-docs/reference/patch-funds-recovery).\n\nUpdate some infraction report fields. Fields not passed are not updated.\n\nTo call this endpoint, the infraction report status is **REQUIRED** to be `OPEN` or `ACKNOWLEDGED`.\n\nThe endpoint generates a [Pix infraction status changed](https://developers.pismo.io/events/docs/pix-dict-infraction-status-change-1) event.\n",
        "operationId": "patch-v2-pix-infraction",
        "tags": [
          "Infraction reports"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/InfractionReportIDV2path"
          }
        ],
        "requestBody": {
          "description": "Infraction report details to be updated",
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/InfractionPatchRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "202": {
            "$ref": "#/components/responses/202Accepted"
          },
          "204": {
            "description": "No Content",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Tenant not found": {
                    "value": {
                      "code": "EPDA0001",
                      "message": "Missing x-tenant header."
                    }
                  },
                  "Invalid request infractionId": {
                    "value": {
                      "code": "EPDA0070",
                      "message": "Invalid request infraction report id"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests"
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service communication error": {
                    "value": {
                      "code": "EPDA0029",
                      "message": "Internal errors while attempting to communicate with the provider service"
                    }
                  },
                  "Invalid client error": {
                    "value": {
                      "code": "EPDG0005",
                      "message": "Invalid Pix provider '{provider_name}'"
                    }
                  },
                  "Failed marshalling object": {
                    "value": {
                      "code": "EPDG0006",
                      "message": "Failed to marshal JSON object"
                    }
                  },
                  "Failed unmarshalling object": {
                    "value": {
                      "code": "EPDG0007",
                      "message": "Failed to unmarshal JSON object"
                    }
                  },
                  "Error reading response data": {
                    "value": {
                      "code": "EPDG0010",
                      "message": "I/O error while reading response data: '{details}'"
                    }
                  },
                  "Provider service error": {
                    "value": {
                      "code": "EPDG0016",
                      "message": "Provider service returned an internal error while trying to access the resource",
                      "details": {
                        "external": [
                          {
                            "code": "PBE315",
                            "message": "Generic error"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway"
          },
          "503": {
            "description": "Service Unavailable",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service unavailable": {
                    "value": {
                      "code": "EPDG0017",
                      "message": "Provider service resource is unavailable"
                    }
                  },
                  "Provider authentication service unavailable": {
                    "value": {
                      "code": "EPDG0021",
                      "message": "Provider authentication service is unavailable"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout2"
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  }
}
```